Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mro.util
Interface XMLPartIO

All Known Implementing Classes:
  UniqueIdentifier

    public interface XMLPartIO

Interface for classes that are easily handled as parts of XML files.

Method Summary
`boolean` | `endElementPartXML(java.lang.StringBuffer buffer, java.lang.String qualifiedName)` Use when defining a `DefaultHandler` to parse a larger XML-file where the implementing class is a part.
`void` | `printPartDTD(java.io.PrintWriter out)` Prints the DTD for a UniqueIndentifier.
`void` | `printPartXML(java.io.PrintWriter out)` Prints to a PrintWriter as a part of a larger XML-file following the DTD in `printPartDTD(java.io.PrintWriter)`.
`boolean` | `startElementPartXML(java.lang.StringBuffer buffer, java.lang.String qualifiedName)` Use when defining a `DefaultHandler` to parse a larger XML-file where the implementing class is a part.

Method Detail

### printPartDTD

    void printPartDTD(java.io.PrintWriter out)

  Prints the DTD for a UniqueIndentifier. Use in the context of a larger DTD.

### printPartXML

    void printPartXML(java.io.PrintWriter out)

  Prints to a PrintWriter as a part of a larger XML-file following the DTD in `printPartDTD(java.io.PrintWriter)`.

### startElementPartXML

    boolean startElementPartXML(java.lang.StringBuffer buffer,
                                java.lang.String qualifiedName)

  Use when defining a `DefaultHandler` to parse a larger XML-file where the implementing class is a part.

### endElementPartXML

    boolean endElementPartXML(java.lang.StringBuffer buffer,
                              java.lang.String qualifiedName)

  Use when defining a `DefaultHandler` to parse a larger XML-file where the implementing class is a part. Returns true when the elements in the DTD (see `printPartDTD(java.io.PrintWriter)`) are found. In these cases the content of the implemented class should be set to the the values found in the XML-file.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD